from django.conf.urls.defaults import *
import settings
from os.path import join
# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
    # Example:
    # (r'^printaform/', include('printaform.foo.urls')),
    (r'^$', 'formaprint.views.index'),
    (r'^new_item/$', 'formaprint.views.new_item'),
    (r'^edit_item/$', 'formaprint.views.edit_item'),
    (r'^save_item/$', 'formaprint.views.save_item'),
    (r'^save_item_as/$', 'formaprint.views.save_item_as'),
    (r'^render_item/$', 'formaprint.views.render_item'),
    (r'^print_item/$', 'formaprint.views.print_item'),
    # Uncomment the admin/doc line below to enable admin documentation:
    # (r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    (r'^admin/', include(admin.site.urls)),
)

if settings.LOCAL_DEVELOPMENT:
#
  urlpatterns += patterns('',
#
  (r'^static/(?P<path>.*)$', 'django.views.static.serve', {'document_root': join(settings.PROJECT_ROOT, "static")}),
#
)
